Skip to main content
`Ctrl`+`K`

# PetscSysInitializePackage

This function initializes everything in the system library portion of PETSc. It is called from `PetscDLLibraryRegister_petsc()` when using dynamic libraries, and in the call to `PetscInitialize()` when using shared or static libraries.

## Synopsis

    PetscErrorCode PetscSysInitializePackage(void)

## Note

This function never needs to be called by PETSc users.

## See Also

`PetscSysFinalizePackage()`, `PetscInitialize()`

## Level

developer

## Location

src/sys/classes/viewer/interface/dlregispetsc.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages